Subject: ANNOUNCE: Glade-Perl 0.41
From: Dermot Musgrove <[email-masked]>
Date: 5 Nov 1999 15:36:27 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hi all,

I have uploaded perl module Glade-Perl-0.41.tar.gz to CPAN and my websites.
    ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/Glade/

    http://www.glade.perl.connectfree.co.uk/index.html
    http://freespace.virgin.net/dermot.musgrove/computers/perl/index.html

Glade-Perl generates perl source code from a Glade file - Glade is Damon
Chaplin's beautiful Gtk+/Gnome UI builder. It can display the UI as it is
built or simply generate source code and it can be called directly from
Glade's 'Build' button.

This version now generates _all_ widgets (Gtk+ and Gnome) that Glade knows 
about!

If you use the module and you can find the time, I would really appreciate
_any_ feedback. Does it do what you want? How can I improve the docs?

Regards, Dermot

snipped from the Changelog:
------------------------------------------------------------
Tue Nov  2 02:20:00 GMT 1999 - Dermot Musgrove <[email-masked]>
 - Version 0.41
 - PerlRun->create_pixmap() updated to use new Perl/Gtk bindings if available
 - PerlSource->write_UI() stripped from PerlGenerate->Form_from_Glade_Proto()
 - PerlSource->write_Subclass() will generate a working subclass with 
   skeleton subs for all missing signal handlers
 - PerlSource->write_dist() started new sub to generate dist files
 - PerlProject->use_Glade_Project() now defaults to allow_gnome if   
   programmer has set <project><gnome_support> to True
 - PerlSource->perl_SUBCLASS_AUTOLOAD_header() new sub and some extra 
   utilities generated (toplevel_hide, toplevel_close and toplevel_destroy)
 - Gnome::Druid* stuff implemented (needs Gtk-Perl CVS after 19991025 and
   gnome-libs >= 1.0.50 to get the full effect
 - PerlRun->create_image() new sub to return a Gtk::Gdk::ImlibImage for
   Gnome::Druid* logo/watermarks
------------------------------------------------------------